Update a rate table rate

patch

/fscmRestApi/resources/11.13.18.05/participantCompensationPlans/{participantCompensationPlansUniqID}/child/ParticipantPlanComponents/{ParticipantPlanComponentId}/child/ParticipantPlanComponentRateTables/{ParticipantPlanComponentRateTableId}/child/ParticipantRateTableRates/{ParticipantRateTableRateId}

Request

Path Parameters
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Title: Rate
    The output value of the rate table used to calculate the earning rate. This value is a percent or an amount depending on the rate table type set for the rate table. If the rate table type is percent, then the value stored here needs to be divided by 100 to get the actual value. For example, if the rate table type is percent and the rate value is 10%, then 10 is the output value.
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : participantCompensationPlans-ParticipantPlanComponents-ParticipantPlanComponentRateTables-ParticipantRateTableRates-item-response
Type: object
Show Source
Back to Top

Examples

The following example shows how to update a rate table rate by submitting a patch request using cURL.

cURL Command

curl -u username:password \ -X PATCH \ "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/participantCompensationPlans/300100123456789/child/ParticipantPlanComponents/300100987654321/child/ParticipantPlanComponentRateTables/300100112233445/child/ParticipantRateTableRates/300100556677889" \ -H "Content-Type: application/json" \

Example of Request Body

The following shows an example of the request body in JSON format.

{
        "Rate": 15
      }

Example of Response Body

The following shows an example of the response body in JSON format.

{
  "ParticipantRateTableRateId": 300100556677889,
  "ParticipantPlanComponentRateTableId": 300100112233445,
  "Rate": 15,
  "LastUpdatedBy": "SALES_ADMIN",
  "LastUpdateDate": "2026-03-18T10:15:30Z"
}

Note:

You can get values for parameters to update a rate table rate as follows:

  • ParticipantCompensationPlansUniqID PARTICIPANT_PLAN_NUMBER in cn_srp_comp_plans_all
  • ParticipantPlanComponentId SRP_PLAN_COMPONENT_ID in cn_srp_plan_components_all
  • ParticipantPlanComponentRateTableId/SRP_FORM_RATE_TABLE_ID in cn_srp_form_rate_tables_all
  • ParticipantRateTableRateId RATE_TABLE_VALUE_ID in cn_rate_table_values_all

Back to Top